package com.nisum.ecomservice.model;

import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;
import java.util.List;

@Getter
@Setter
@AllArgsConstructor
public class Order {

    private String id;
    private String customerId;
    private String customerEmailAddress;
    private String orderTrackingCode;
    private String orderStatus;
    private Double orderCreatedAt;
    private Double orderUpdatedAt;
    private List<Product> orderItems;
    private Address customerAddress;

}
